--- title: "View published product" slug: "apigateway-published-publishedproduct" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-published-publishedproduct" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View published product Available in Classic and VPC View details of a specified product among published products in all accounts. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/published-products/{product-id} | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | ID of the product to view - 0 - 10 characters - See [View product list](/docs/en/apigateway-published-postproduct) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/published-products/***ksk9***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "product" : { "invokeId" : "invokeId", "domainCode" : "domainCode", "productId" : "productId", "isPublished" : true, "modifier" : "modifier", "permission" : "permission", "productName" : "productName", "subscriptionCode" : "PROTECTED", "isDeleted" : true, "modTime" : "2000-01-23T04:56:07.000+00:00", "tenantId" : "tenantId", "disabled" : true, "productDescription" : "productDescription", "actionName" : "actionName" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "product": { "productId": "***ksk9***", "invokeId": "***ksk9***", "tenantId": "***e230cebc1402ba89b148896951***", "productName": "product", "productDescription": "", "isPublished": false, "subscriptionCode": "PUBLIC", "modifier": "***d3020-5bb7-11ec-bfb8-246e96591***", "isDeleted": false, "modTime": "2024-04-26T04:32:12Z", "domainCode": "PUB", "zoneCode": "PUBLIC" } } ```